Subject: RE: [mobile-ip] MIPv6 v20: HAO received by MN [11.7.2]

From: "Hesham Soliman (EAB)" <[email-masked]>
Date: Thu, 6 Feb 2003 17:11:05 +0100

> Brian Haley wrote:
 > > Why would a CN/MN
 > > be sending a HAO unless it has a binding with this MN 
 > anyways?  This
 > > packet was encapsulated by the HA, so should have had the 
 > CN/MNs home
 > > address as the (inner) source, that would be the target address.
 > 
 > Aren't there two independent BCE entries? I am initiating the
 > binding procedure because apparently the peer does not have a
 > BCE entry for *me*. But I can still have a BCE entry for *it*,
 > making it possible that I can receive a legal packet with
 > a HAO?

=> Yes, that's right.

 > 
 > My head hurts from thinking about this. But if I'm right above
 > then we should still take in account your comment that the
 > HAO must only be accepted when a BCE exists on our side for
 > it.

=> That's a different check in a different part
of the code/spec. This check will be (MUST) done anyway
when any packet is received containing a HAO. I don't 
think you need to include it in this text. It's already
stated in other parts of the spec.

Hesham

 > Jari